# $Revision: 1.13 $, $Date: 2002/09/14 02:57:14 $
%define		mod_name	accounting
%define 	apxs		%{_sbindir}/apxs
Summary:	Apache module: record traffic statistics into a database
Summary(pl):	Modu do apache: zapisuje statystyki ruchu do bazy danych
Name:		apache-mod_%{mod_name}
Version:	0.4
Release:	4
License:	BSD
Group:		Networking/Daemons
Source0:	http://prdownloads.sourceforge.net/mod-acct/mod_accounting-%{version}.tar.gz
Source1:	%{name}.conf
URL:		http://sourceforge.net/projects/mod-acct/
BuildRequires:	apache(EAPI)-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
Prereq:		%{_sbindir}/apxs
Requires:	apache(EAPI)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)
%define         _sysconfdir     /etc/httpd

%description
mod_accounting is a simple Apache module that can record traffic
statistics into a database (bytes in/out per http request)

%description -l pl
mod_accounting to prosty modu Apache pozwalajcy na zapisywanie
informacji o ruchu http do bazy danych (bajty
przychodzce/wychodzce).

%prep
%setup -q -n mod_%{mod_name}-%{version}

%build
PATH=$PATH:%{_sbindir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/mod_accounting.conf

%post
%{apxs} -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /etc/httpd/httpd.conf ] && ! grep -q "^Include.*mod_accounting.conf" /etc/httpd/httpd.conf; then
        echo "Include /etc/httpd/mod_accounting.conf" >> /etc/httpd/httpd.conf
fi
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
        grep -v "^Include.*mod_accounting.conf" /etc/httpd/httpd.conf > \
                /etc/httpd/httpd.conf.tmp
        mv -f /etc/httpd/httpd.conf.tmp /etc/httpd/httpd.conf
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_accounting.spec,v $
Revision 1.13  2002/09/14 02:57:14  blues
- release 4 - new doc - STBR

Revision 1.12  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.11  2002/05/07 22:07:41  marcus
- rel.3.

Revision 1.10  2002/05/07 22:06:55  marcus
- fixed apxs path

Revision 1.9  2002/04/25 15:44:58  arturs
fixed a small typo

Revision 1.8  2002/03/26 23:47:23  misiek
- fixed huge bug (zeroing httpd.conf after deinstalation)

Revision 1.7  2002/03/26 06:37:35  kloczek
- cosmetics.

Revision 1.6  2002/03/25 14:48:20  misiek
- added config

Revision 1.5  2002/02/23 01:13:38  kloczek
- adapterized.

Revision 1.4  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/19 14:04:21  qboosh
- typo

Revision 1.2  2002/02/19 13:21:53  serek
 - i forget about descr.

Revision 1.1  2002/02/19 13:17:32  serek
 - new in PLD, STBR after verifying requires.
